Package org.h2.security.auth

# Class AuthConfigException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.h2.security.auth.AuthConfigException

All Implemented Interfaces:
  `Serializable`

public class AuthConfigException extends RuntimeException
Exception thrown when an issue occurs during the authentication configuration

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthConfigException()`
`AuthConfigException(String message)`
`AuthConfigException(String message, Throwable cause)`
`AuthConfigException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthConfigException

public AuthConfigException()

### AuthConfigException

public AuthConfigException(String message)

### AuthConfigException

public AuthConfigException(Throwable cause)

### AuthConfigException

public AuthConfigException(String message, Throwable cause)